# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._models_py3 import AgentPool
from ._models_py3 import AgentPoolListResult
from ._models_py3 import AgentPoolQueueStatus
from ._models_py3 import AgentPoolUpdateParameters
from ._models_py3 import AgentProperties
from ._models_py3 import Argument
from ._models_py3 import AuthInfo
from ._models_py3 import AuthInfoUpdateParameters
from ._models_py3 import BaseImageDependency
from ._models_py3 import BaseImageTrigger
from ._models_py3 import BaseImageTriggerUpdateParameters
from ._models_py3 import Credentials
from ._models_py3 import CustomRegistryCredentials
from ._models_py3 import DockerBuildRequest
from ._models_py3 import DockerBuildStep
from ._models_py3 import DockerBuildStepUpdateParameters
from ._models_py3 import EncodedTaskRunRequest
from ._models_py3 import EncodedTaskStep
from ._models_py3 import EncodedTaskStepUpdateParameters
from ._models_py3 import ErrorResponse
from ._models_py3 import ErrorResponseBody
from ._models_py3 import FileTaskRunRequest
from ._models_py3 import FileTaskStep
from ._models_py3 import FileTaskStepUpdateParameters
from ._models_py3 import IdentityProperties
from ._models_py3 import ImageDescriptor
from ._models_py3 import ImageUpdateTrigger
from ._models_py3 import InnerErrorDescription
from ._models_py3 import OverrideTaskStepProperties
from ._models_py3 import PlatformProperties
from ._models_py3 import PlatformUpdateParameters
from ._models_py3 import ProxyResource
from ._models_py3 import Resource
from ._models_py3 import Run
from ._models_py3 import RunFilter
from ._models_py3 import RunGetLogResult
from ._models_py3 import RunListResult
from ._models_py3 import RunRequest
from ._models_py3 import RunUpdateParameters
from ._models_py3 import SecretObject
from ._models_py3 import SetValue
from ._models_py3 import SourceProperties
from ._models_py3 import SourceRegistryCredentials
from ._models_py3 import SourceTrigger
from ._models_py3 import SourceTriggerDescriptor
from ._models_py3 import SourceTriggerUpdateParameters
from ._models_py3 import SourceUpdateParameters
from ._models_py3 import SourceUploadDefinition
from ._models_py3 import SystemData
from ._models_py3 import Task
from ._models_py3 import TaskListResult
from ._models_py3 import TaskRun
from ._models_py3 import TaskRunListResult
from ._models_py3 import TaskRunRequest
from ._models_py3 import TaskRunUpdateParameters
from ._models_py3 import TaskStepProperties
from ._models_py3 import TaskStepUpdateParameters
from ._models_py3 import TaskUpdateParameters
from ._models_py3 import TimerTrigger
from ._models_py3 import TimerTriggerDescriptor
from ._models_py3 import TimerTriggerUpdateParameters
from ._models_py3 import TriggerProperties
from ._models_py3 import TriggerUpdateParameters
from ._models_py3 import UserIdentityProperties

from ._container_registry_management_client_enums import Architecture
from ._container_registry_management_client_enums import BaseImageDependencyType
from ._container_registry_management_client_enums import BaseImageTriggerType
from ._container_registry_management_client_enums import CreatedByType
from ._container_registry_management_client_enums import LastModifiedByType
from ._container_registry_management_client_enums import OS
from ._container_registry_management_client_enums import ProvisioningState
from ._container_registry_management_client_enums import ResourceIdentityType
from ._container_registry_management_client_enums import RunStatus
from ._container_registry_management_client_enums import RunType
from ._container_registry_management_client_enums import SecretObjectType
from ._container_registry_management_client_enums import SourceControlType
from ._container_registry_management_client_enums import SourceRegistryLoginMode
from ._container_registry_management_client_enums import SourceTriggerEvent
from ._container_registry_management_client_enums import StepType
from ._container_registry_management_client_enums import TaskStatus
from ._container_registry_management_client_enums import TokenType
from ._container_registry_management_client_enums import TriggerStatus
from ._container_registry_management_client_enums import UpdateTriggerPayloadType
from ._container_registry_management_client_enums import Variant
from ._patch import __all__ as _patch_all
from ._patch import *  # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AgentPool",
    "AgentPoolListResult",
    "AgentPoolQueueStatus",
    "AgentPoolUpdateParameters",
    "AgentProperties",
    "Argument",
    "AuthInfo",
    "AuthInfoUpdateParameters",
    "BaseImageDependency",
    "BaseImageTrigger",
    "BaseImageTriggerUpdateParameters",
    "Credentials",
    "CustomRegistryCredentials",
    "DockerBuildRequest",
    "DockerBuildStep",
    "DockerBuildStepUpdateParameters",
    "EncodedTaskRunRequest",
    "EncodedTaskStep",
    "EncodedTaskStepUpdateParameters",
    "ErrorResponse",
    "ErrorResponseBody",
    "FileTaskRunRequest",
    "FileTaskStep",
    "FileTaskStepUpdateParameters",
    "IdentityProperties",
    "ImageDescriptor",
    "ImageUpdateTrigger",
    "InnerErrorDescription",
    "OverrideTaskStepProperties",
    "PlatformProperties",
    "PlatformUpdateParameters",
    "ProxyResource",
    "Resource",
    "Run",
    "RunFilter",
    "RunGetLogResult",
    "RunListResult",
    "RunRequest",
    "RunUpdateParameters",
    "SecretObject",
    "SetValue",
    "SourceProperties",
    "SourceRegistryCredentials",
    "SourceTrigger",
    "SourceTriggerDescriptor",
    "SourceTriggerUpdateParameters",
    "SourceUpdateParameters",
    "SourceUploadDefinition",
    "SystemData",
    "Task",
    "TaskListResult",
    "TaskRun",
    "TaskRunListResult",
    "TaskRunRequest",
    "TaskRunUpdateParameters",
    "TaskStepProperties",
    "TaskStepUpdateParameters",
    "TaskUpdateParameters",
    "TimerTrigger",
    "TimerTriggerDescriptor",
    "TimerTriggerUpdateParameters",
    "TriggerProperties",
    "TriggerUpdateParameters",
    "UserIdentityProperties",
    "Architecture",
    "BaseImageDependencyType",
    "BaseImageTriggerType",
    "CreatedByType",
    "LastModifiedByType",
    "OS",
    "ProvisioningState",
    "ResourceIdentityType",
    "RunStatus",
    "RunType",
    "SecretObjectType",
    "SourceControlType",
    "SourceRegistryLoginMode",
    "SourceTriggerEvent",
    "StepType",
    "TaskStatus",
    "TokenType",
    "TriggerStatus",
    "UpdateTriggerPayloadType",
    "Variant",
]
__all__.extend([p for p in _patch_all if p not in __all__])
_patch_sdk()
